
document.addEventListener("DOMContentLoaded", function() {
    const body = document.body;
    const pikachuIdle = document.createElement('div');
    pikachuIdle.id = 'pikachu-idle';
    body.appendChild(pikachuIdle);

    const pikachuFollow = document.createElement('div');
    pikachuFollow.id = 'pikachu-follow';
    body.appendChild(pikachuFollow);

    let isMoving = false;
    let mouseMoveTimeout;

    document.addEventListener('mousemove', function(e) {
        clearTimeout(mouseMoveTimeout);

        // Show following Pikachu
        pikachuIdle.style.display = 'none';
        pikachuFollow.style.display = 'block';
        pikachuFollow.style.left = e.pageX + 'px';
        pikachuFollow.style.top = e.pageY + 'px';
        
        // Set a timeout to switch to idle Pikachu if no movement
        mouseMoveTimeout = setTimeout(() => {
            pikachuFollow.style.display = 'none';
            pikachuIdle.style.display = 'block';
            pikachuIdle.style.left = e.pageX + 'px';
            pikachuIdle.style.top = e.pageY + 'px';
        }, 200);  // Adjust time to switch to idle state
    });
});

