import PromiseRouter from "express-promise-router";
import bodyParser from "body-parser";
import { showAdminPage, showAddUserForm, showAddLocationForm, showAddQuestionForm, addLocation, addQuestion, addUser, showAllUsers, showAllTeams, deleteUser, showUser, showTeam, deleteTeam, showAllLocations, showLocation, deleteLocation, showAddTeamForm, addTeam, showQuestion, deleteQuestion, addChoice, showAddChoiceForm } from "../controllers/admin";

const router = PromiseRouter();

const urlencodedParser = bodyParser.urlencoded({ extended: true });

router.get("/", showAdminPage);

router.get("/teams", showAllTeams);
router.get("/team/show/:id", showTeam);
router.get("/team/delete/:id", deleteTeam);
router.get("/team/add", showAddTeamForm);
router.post("/team/add", urlencodedParser, addTeam);

router.get("/users", showAllUsers);
router.get("/user/show/:id", showUser);
router.get("/user/delete/:id", deleteUser);
router.get("/user/add", showAddUserForm);
router.post("/user/add", urlencodedParser, addUser);

router.get("/locations", showAllLocations);
router.get("/location/show/:id", showLocation);
router.get("/location/delete/:id", deleteLocation);
router.get("/location/add", showAddLocationForm);
router.post("/location/add", urlencodedParser, addLocation);

router.get("/question/show/:id", showQuestion);
router.get("/question/delete/:id", deleteQuestion);
router.get("/question/add", showAddQuestionForm);
router.post("/question/add", urlencodedParser, addQuestion);

router.get("/choice/add/:id", showAddChoiceForm);
router.post("/choice/add/:id", urlencodedParser, addChoice);

export default router;
